package com.cedarsoft.wicket.yaml;

import com.cedarsoft.wicket.yaml.test.TestYamlPage;
import org.apache.wicket.protocol.http.WebApplication;
import org.apache.wicket.util.time.Duration;

/**
 *
 */
public class IntegrationApplication extends WebApplication {
  @Override
  public Class<TestYamlPage> getHomePage() {
    return TestYamlPage.class;
  }

  @Override
  protected void init() {
    super.init();
    getResourceSettings().setResourcePollFrequency( Duration.ONE_SECOND );
    mountBookmarkablePage( "/index", TestYamlPage.class );
  }
}
